ncl_ncarg5.0 compile with PGI 8.0 -- Error

Dear everyone,

We had this problem. Who can give us any suggestions ?
When we go back to g95, we can compile ok.

P.S. We use Mac Book Pro (OS X 10.5 (Leopard)).

Please see the attached.

NCAR Graphics Fortran Tutorial Example

Copying cardb2.f

Compiling and linking…
pgf90 -O -o cardb2 cardb2.f -L/usr/local/ncarg/lib -L/usr/X11R6/lib -lncarg -lncarg_gks -lncarg_c -lX11

Executing …

GKS load error:
The flag specifying the maximum number
of error messages is less than or equal to
zero. This usually means that blockdata
has not been loaded and indicates an error
with your loader. Contact your vendor, or
try using g77.

FORTRAN STOP

Hi Warp,

Sorry for the late reply. I’ve been attending SC08 this week.

For NCL, use pgf77 instead of pgf90.

  • Mat

Hi Mat,

Thank you. We will try again later.

Best Regards,

warp

Hi Warp,

FYI, pgf90 will be able to successfully compile NCL as of the 8.0-2 release. We were missing an internal flag in pgf90 that was present in pgf77 to support block data.

  • Mat

Hi Mat,

Thank you for your information.
When will you fix this problem ?

Best Regards,

warp

Hi Warp,

The fix will be available in the 8.0-2 compilers. 8.0-2 was scheduled for release today but might be delayed a few days since we’re trying to get another important fix in as well.

  • Mat